<div class="container">
    <h2>Aufgaben</h2>
    <div class="forms">
        <div class="addForm" *ngIf="1 === this.state">
            <form [formGroup]="addForm" (submit)="this.addAufgabe()">
                <div class="form-item">
                    <label for="titel">Titel</label>
                    <input type="text" id="titel" formControlName="titel" class="form-control" />
                    <div *ngIf="addForm.controls['titel'].invalid && (addForm.controls['titel'].dirty || addForm.controls['titel'].touched)" class="alert">
                        <div class="error error-titel">Bitte gib einen Titel mit Zeichenlänge 1 - 50 ein.</div>
                    </div>
                </div>
                <div class="form-item">
                    <label for="beschreibung">Beschreibung</label>
                    <textarea id="beschreibung" formControlName="beschreibung" class="form-control">
                    </textarea>
                    <div *ngIf="addForm.controls['beschreibung'].invalid && (addForm.controls['beschreibung'].dirty || addForm.controls['beschreibung'].touched)" class="alert">
                        <div class="error error-beschreibung">Bitte gib eine Beschreibung mit Zeichenlänge 1 - 50 ein.</div>
                    </div>
                </div>
                <div *ngIf="undefined !== this.errorMessage">
                    <p class="error">{{ this.errorMessage }}</p>
                </div>
                <div class="buttons">
                    <button type="submit" class="add-btn" [disabled]="loading">Erstellen</button>
                    <button (click)="this.closeForms()" class="cancel-btn" [disabled]="loading">Abbrechen</button>
                </div>
            </form>
        </div>
        <div class="editForm" *ngIf="2 === this.state">
            <form [formGroup]="editForm" (submit)="this.editAufgabe()">
                <div class="form-item">
                    <label for="titel">Titel</label>
                    <input type="text" id="titel" formControlName="titel" class="form-control" />
                    <div *ngIf="editForm.controls['titel'].invalid && (editForm.controls['titel'].dirty || editForm.controls['titel'].touched)" class="alert">
                        <div class="error error-titel">Bitte gib einen Titel mit Zeichenlänge 1 - 50 ein.</div>
                    </div>
                </div>
                <div class="form-item">
                    <label for="beschreibung">Beschreibung</label>
                    <textarea id="beschreibung" formControlName="beschreibung" class="form-control">
                    </textarea>
                    <div *ngIf="editForm.controls['beschreibung'].invalid && (editForm.controls['beschreibung'].dirty || editForm.controls['beschreibung'].touched)" class="alert">
                        <div class="error error-beschreibung">Bitte gib ein Beschreibung mit Zeichenlänge 1 - 255 ein.</div>
                    </div>
                </div>
                <div *ngIf="undefined !== this.errorMessage">
                    <p class="error">{{ this.errorMessage }}</p>
                </div>
                <div class="buttons">
                    <button type="submit" class="edit-btn" [disabled]="loading">Speichern</button>
                    <button (click)="this.closeForms()" class="cancel-btn" [disabled]="loading">Abbrechen</button>
                </div>
            </form>
        </div>
        <button *ngIf="0 === this.state" (click)="this.openAddAufgabeForm()" class="open-add-form">Aufgabe erstellen</button>
    </div>
    <div class="aufgaben-liste">
        <div *ngFor="let aufgabe of this.aufgabenliste">
            <app-aufgabe
                [aufgabe]="aufgabe"
                (openEditFormEmitter)="openEditAufgabeForm($event)"
                (deleteAufgabeEmitter)="deleteAufgabe($event)"
            ></app-aufgabe>
        </div>
    </div>
</div>
